dchunt Absent Member.
Absent Member.
1343 views

ZCM 2017 appliance VMware Tools not installed

The appliance for ZCM 11.4.3 came with a '3rd Party Independent' version of VMware tools, however the ZCM 2017 Appliance shows that VMware tools is not installed. Is there a recommended VMware tools that I can install on the ZCM 2017 appliance?

Thanks,

Dan
Labels (2)
0 Likes
10 Replies
dchunt Absent Member.
Absent Member.

Re: ZCM 2017 appliance VMware Tools not installed

I found a note in the docs that said to install VMware tools go to /opt/novell/va_install and run install_vmware_tools. When I do that, I get the following errors:

server:/opt/novell/va_install # ./install_vmware_tools
./install_vmware_tools: line 1: !#/bin/bash: No such file or directory
++ zypper rr vmware-tools-collection
Repository 'vmware-tools-collection' not found by alias, number or URI.
++ mkdir -p /opt/novell/vmware-tools
++ wget https://packages.vmware.com/tools/keys/VMWARE-PACKAGING-GPG-DSA-KEY.pub -O /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-DSA-KEY.pub
--2017-05-09 11:24:42-- https://packages.vmware.com/tools/keys/VMWARE-PACKAGING-GPG-DSA-KEY.pub
Resolving packages.vmware.com (packages.vmware.com)... 184.29.135.245, 2001:590:1404:39c::2ef, 2001:590:1404:3a3::2ef, ...
Connecting to packages.vmware.com (packages.vmware.com)|184.29.135.245|:443... connected.
ERROR: cannot verify packages.vmware.com's certificate, issued by â/C=US/O=Symantec Corporation/OU=Symantec Trust Network/CN=Symantec Class 3 Secure Server CA - G4â:
Unable to locally verify the issuer's authority.
To connect to packages.vmware.com insecurely, use `--no-check-certificate'.
++ wget https://packages.vmware.com/tools/keys/VMWARE-PACKAGING-GPG-RSA-KEY.pub -O /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-RSA-KEY.pub
--2017-05-09 11:24:42-- https://packages.vmware.com/tools/keys/VMWARE-PACKAGING-GPG-RSA-KEY.pub
Resolving packages.vmware.com (packages.vmware.com)... 184.29.135.245, 2001:590:1404:3a3::2ef, 2001:590:1404:394::2ef, ...
Connecting to packages.vmware.com (packages.vmware.com)|184.29.135.245|:443... connected.
ERROR: cannot verify packages.vmware.com's certificate, issued by â/C=US/O=Symantec Corporation/OU=Symantec Trust Network/CN=Symantec Class 3 Secure Server CA - G4â:
Unable to locally verify the issuer's authority.
To connect to packages.vmware.com insecurely, use `--no-check-certificate'.
++ rpm --import /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-DSA-KEY.pub
error: /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-DSA-KEY.pub: import read failed(0).
++ rpm --import /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-RSA-KEY.pub
error: /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-RSA-KEY.pub: import read failed(0).
++ zypper addservice --type=YUM http://packages.vmware.com/tools/esx/latest/sles11.3/x86_64 vmware-tools-collection
Adding repository 'vmware-tools-collection' ..........................................................................................[done]
Repository 'vmware-tools-collection' successfully added
Enabled : Yes
Autorefresh : No
GPG Check : Yes
Priority : 99
URI : http://packages.vmware.com/tools/esx/latest/sles11.3/x86_64

++ zypper --non-interactive install vmware-tools-esx-kmods-default vmware-tools-esx
File '/repodata/repomd.xml' not found on medium 'http://packages.vmware.com/tools/esx/latest/sles11.3/x86_64'

Abort, retry, ignore? [a/r/i/? shows all options] (a): a
Error building the cache:
[vmware-tools-collection|http://packages.vmware.com/tools/esx/latest/sles11.3/x86_64] Valid metadata not found at specified URL
Warning: Skipping repository 'vmware-tools-collection' because of the above error.
Some of the repositories have not been refreshed because of an error.
Loading repository data...
Reading installed packages...
'vmware-tools-esx' not found in package names. Trying capabilities.
No provider of 'vmware-tools-esx' found.
'vmware-tools-esx-kmods-default' not found in package names. Trying capabilities.
No provider of 'vmware-tools-esx-kmods-default' found.
server:/opt/novell/va_install #


If I try using the --no-check-certificate option, I get a little farther but still it fails. Why?

Thanks,

Dan
0 Likes
Knowledge Partner
Knowledge Partner

Re: ZCM 2017 appliance VMware Tools not installed

dchunt;2456924 wrote:
I found a note in the docs that said to install VMware tools go to /opt/novell/va_install and run install_vmware_tools. When I do that, I get the following errors:

server:/opt/novell/va_install # ./install_vmware_tools
./install_vmware_tools: line 1: !#/bin/bash: No such file or directory
++ zypper rr vmware-tools-collection
Repository 'vmware-tools-collection' not found by alias, number or URI.
++ mkdir -p /opt/novell/vmware-tools
++ wget https://packages.vmware.com/tools/keys/VMWARE-PACKAGING-GPG-DSA-KEY.pub -O /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-DSA-KEY.pub
--2017-05-09 11:24:42-- https://packages.vmware.com/tools/keys/VMWARE-PACKAGING-GPG-DSA-KEY.pub
Resolving packages.vmware.com (packages.vmware.com)... 184.29.135.245, 2001:590:1404:39c::2ef, 2001:590:1404:3a3::2ef, ...
Connecting to packages.vmware.com (packages.vmware.com)|184.29.135.245|:443... connected.
ERROR: cannot verify packages.vmware.com's certificate, issued by â/C=US/O=Symantec Corporation/OU=Symantec Trust Network/CN=Symantec Class 3 Secure Server CA - G4â:
Unable to locally verify the issuer's authority.
To connect to packages.vmware.com insecurely, use `--no-check-certificate'.
++ wget https://packages.vmware.com/tools/keys/VMWARE-PACKAGING-GPG-RSA-KEY.pub -O /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-RSA-KEY.pub
--2017-05-09 11:24:42-- https://packages.vmware.com/tools/keys/VMWARE-PACKAGING-GPG-RSA-KEY.pub
Resolving packages.vmware.com (packages.vmware.com)... 184.29.135.245, 2001:590:1404:3a3::2ef, 2001:590:1404:394::2ef, ...
Connecting to packages.vmware.com (packages.vmware.com)|184.29.135.245|:443... connected.
ERROR: cannot verify packages.vmware.com's certificate, issued by â/C=US/O=Symantec Corporation/OU=Symantec Trust Network/CN=Symantec Class 3 Secure Server CA - G4â:
Unable to locally verify the issuer's authority.
To connect to packages.vmware.com insecurely, use `--no-check-certificate'.
++ rpm --import /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-DSA-KEY.pub
error: /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-DSA-KEY.pub: import read failed(0).
++ rpm --import /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-RSA-KEY.pub
error: /opt/novell/vmware-tools/VMWARE-PACKAGING-GPG-RSA-KEY.pub: import read failed(0).
++ zypper addservice --type=YUM http://packages.vmware.com/tools/esx/latest/sles11.3/x86_64 vmware-tools-collection
Adding repository 'vmware-tools-collection' ..........................................................................................[done]
Repository 'vmware-tools-collection' successfully added
Enabled : Yes
Autorefresh : No
GPG Check : Yes
Priority : 99
URI : http://packages.vmware.com/tools/esx/latest/sles11.3/x86_64

++ zypper --non-interactive install vmware-tools-esx-kmods-default vmware-tools-esx
File '/repodata/repomd.xml' not found on medium 'http://packages.vmware.com/tools/esx/latest/sles11.3/x86_64'

Abort, retry, ignore? [a/r/i/? shows all options] (a): a
Error building the cache:
[vmware-tools-collection|http://packages.vmware.com/tools/esx/latest/sles11.3/x86_64] Valid metadata not found at specified URL
Warning: Skipping repository 'vmware-tools-collection' because of the above error.
Some of the repositories have not been refreshed because of an error.
Loading repository data...
Reading installed packages...
'vmware-tools-esx' not found in package names. Trying capabilities.
No provider of 'vmware-tools-esx' found.
'vmware-tools-esx-kmods-default' not found in package names. Trying capabilities.
No provider of 'vmware-tools-esx-kmods-default' found.
server:/opt/novell/va_install #


If I try using the --no-check-certificate option, I get a little farther but still it fails. Why?

Thanks,

Dan


Where in the docs did you find that?

I see a TID for 11.4 https://www.novell.com/support/kb/doc.php?id=7016900 that says the url might need to be changed.. looking at https://packages.vmware.com/tools/esx/latest/index.html I don't see any vmware tools for SLE12 which I believe 2017 appliance ships with.. My guess is that you don't need vmware-tools installed instead it comes preinstalled with openvm-tools: https://blogs.vmware.com/vsphere/2015/09/open-vm-tools-ovt-the-future-of-vmware-tools-for-linux.html

Thomas
0 Likes
dchunt Absent Member.
Absent Member.

Re: ZCM 2017 appliance VMware Tools not installed

Thanks, Thomas. I'm not at work now but I believe in my vSphere 5.5 vCenter for the appliance it says that the tools are NOT installed; not that they are 3rd party/unmanaged. Do you have a 2017 appliance running under VMware? If so, what does VMware tools show as in vCenter?

Dan
0 Likes
shaunpond Absent Member.
Absent Member.

Re: ZCM 2017 appliance VMware Tools not installed

Dchunt,

I see that the URL in that script is incorrect, it should be sles11sp3
not sles11.3 - however, even if I fix that and manually check the
repository, there's a missing dependence if I try to install vmware-
tools-esx-kmods-default or vmware-tools-esx

--

Shaun Pond
in my "day job" I work for ENGL; our aim is to make Windows deployment
easy


0 Likes
Micro Focus Expert
Micro Focus Expert

Re: ZCM 2017 appliance VMware Tools not installed

Good "Guess" Thomas.
That is correct.
The ZCM 2017 Appliance Ships with the Tools Pre-Installed.

If there are any ZCM 2017 Doc links with instructions for installing the OpenVM-Tools, let me know and I will try and get corrected.
Sometimes artifacts are left over from prior versions.



thsundel;2456968 wrote:
Where in the docs did you find that?

I see a TID for 11.4 https://www.novell.com/support/kb/doc.php?id=7016900 that says the url might need to be changed.. looking at https://packages.vmware.com/tools/esx/latest/index.html I don't see any vmware tools for SLE12 which I believe 2017 appliance ships with.. My guess is that you don't need vmware-tools installed instead it comes preinstalled with openvm-tools: https://blogs.vmware.com/vsphere/2015/09/open-vm-tools-ovt-the-future-of-vmware-tools-for-linux.html

Thomas
0 Likes
dchunt Absent Member.
Absent Member.

Re: ZCM 2017 appliance VMware Tools not installed

Looks like SLES 12 is NOT supported on VMware 5.5 according to the software compatibility matrix. I need to upgrade my VMware. FWIW, when looking at the ZCM VM, for VM tools status, it says "Running, version:0 (Not installed)". I'm not sure how it could be running if it is not installed but anyway...

FWIW, I haven't had any problem with the VM so far other than the VMware tools issue.

Thanks for the help.

dan
0 Likes
Knowledge Partner
Knowledge Partner

Re: ZCM 2017 appliance VMware Tools not installed

Am 11.05.2017 um 15:46 schrieb dchunt:
>
> Looks like SLES 12 is NOT supported on VMware 5.5 according to the
> software compatibility matrix.


?

https://blogs.vmware.com/guestosguide/guest-os/linux/suse-linux-enterprise

Is your VMWare up to date with patches?

CU,
--
Massimo Rosen
Micro Focus Knowledge Partner
No emails please!
http://www.cfc-it.de
CU,
--
Massimo Rosen
Micro Focus Knowledge Partner
No emails please!
http://www.cfc-it.de
0 Likes
dchunt Absent Member.
Absent Member.

Re: ZCM 2017 appliance VMware Tools not installed

Thanks, Massimo. Obviously it is not. I'm talking to the VMware guy now.

Dan
0 Likes
Knowledge Partner
Knowledge Partner

Re: ZCM 2017 appliance VMware Tools not installed

On 11/05/17 13:24, CRAIGDWILSON wrote:

> Good "Guess" Thomas.
> That is correct.
> The ZCM 2017 Appliance Ships with the Tools Pre-Installed.
>
> If there are any ZCM 2017 Doc links with instructions for installing the
> OpenVM-Tools, let me know and I will try and get corrected.
> Sometimes artifacts are left over from prior versions.

It might therefore also be a good idea to remove the broken
install_vmware_tools script from /opt/novell/va_install on the next
revisions of the appliance (and via future package update for current
revision) so it doesn't break things ...

HTH.
--
Simon
Micro Focus Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------
0 Likes
Micro Focus Expert
Micro Focus Expert

Re: ZCM 2017 appliance VMware Tools not installed

I created a ticket with Development about that installer still existing.
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.